## flash-kernel 2.28ubuntu42.2

=== debian/changelog ===
flash-kernel (2.28ubuntu42.2) precise-proposed; urgency=low

  * Fix typo and escaping error on Highbank to allow it to load a ramdisk (LP: #1004018)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 19 Jul 2012 06:20:19 -0700

flash-kernel (2.28ubuntu42.1) precise-proposed; urgency=low

  [ Michael Casadevall ]
  * Fix highbank support (LP: #1004018)
  * Merge in ogra's patch for single SRU

  [ Oliver Grawert ]
  * fix handling of linaro kernels on omap4 (LP: #1023952), thanks to
     David Cullen <david.cullen@koe-americas.com> for the patch

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 18 Jul 2012 21:05:12 -0700

flash-kernel (2.28ubuntu42) precise; urgency=low

  * Add Calxeda highbank support to flash-kernel and flash-kernel-installer.

 -- dann frazier <dann.frazier@canonical.com>  Mon, 12 Mar 2012 22:18:47 -0600

flash-kernel (2.28ubuntu41) precise; urgency=low

  * Fix for a potential no-mtd and no /etc/flash-kernel.conf issue on mx5.
    Thanks to Tobin Davis for that fix.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 05 Mar 2012 17:41:22 +0100

flash-kernel (2.28ubuntu40) precise; urgency=low

  * set defaults for UBOOT_PART on various OMAP4 platforms if it is not set,
    thanks to Tobin Davis for that fix (LP: 626749)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 05 Mar 2012 14:41:03 +0100

flash-kernel (2.28ubuntu39) precise; urgency=low

  * Change from Tobin Davis to define ArmadaXP as a non-flash device.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jan 2012 16:28:26 -0700

flash-kernel (2.28ubuntu38) precise; urgency=low

  * Incorporate changes from Tobin Davis to enable support for the
    armadaxp subarch used by the Marvell Armada XP Development Board

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 30 Jan 2012 11:56:25 -0700

flash-kernel (2.28ubuntu37) precise; urgency=low

  * Add Freescale i.MX6 support.
  * Add update dtb file (DeviceTree support) for i.MX*.

 -- Ying-Chun Liu <paul.liu@canonical.com>  Fri, 27 Jan 2012 13:17:13 +0000

flash-kernel (2.28ubuntu36) precise; urgency=low

  * Transition OMAP3 to using the MLO provided from the u-boot package.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Jan 2012 22:22:38 -0700

flash-kernel (2.28ubuntu35) precise; urgency=low

  * Build for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Dec 2011 15:33:56 +0100
