=== debian/control ===
Source: flash-kernel
Section: utils
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Martin Michlmayr <tbm@cyrius.com>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 7.3.10)
Standards-Version: 3.7.2
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/flash-kernel

Package: flash-kernel
Architecture: arm armel armeb armhf
Depends: devio, initramfs-tools (>= 0.92bubuntu28)
Suggests: u-boot-tools | uboot-mkimage, uboot-envtools, redboot-tools, abootimg
Description: utility to make certain embedded devices bootable
 flash-kernel is a script which will put the kernel and initramfs in
 the boot location of embedded devices that don't load the kernel and
 initramfs directly from /boot.  flash-kernel supports devices that
 boot from flash memory (hence the name) as well as some devices that
 require a special boot image on the disk.

Package: flash-kernel-installer
Section: debian-installer
Priority: standard
XC-Package-Type: udeb
Architecture: arm armel armeb armhf
XB-Subarchitecture: armadaxp dove imx51 iop32x ixp4xx kirkwood orion5x omap omap4 highbank
Provides: bootable-system
Depends: cdebconf-udeb, installed-base, di-utils (>= 1.68)
XB-Installer-Menu-Item: 7300
Description: Make the system bootable
