## flash-kernel 2.37

=== debian/changelog ===
flash-kernel (2.37) unstable; urgency=low

  * Don't set a default root device when the specified root device
    does not exist.

  [ Updated translations ]
  * si (si.po) by Danishka Navin

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 18 Nov 2010 17:03:33 +0000

flash-kernel (2.36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 15:41:17 -0200

flash-kernel (2.35) unstable; urgency=low

  * Add support for "GTA02" (Neo FreeRunner).  Patch from Thibaut Girka.
    Closes: #593235

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 05 Nov 2010 13:28:03 +0000

flash-kernel (2.34) unstable; urgency=low

  * Rebuild without .svn directories.  Closes: #601318

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 25 Oct 2010 14:56:55 +0100

flash-kernel (2.33) unstable; urgency=medium

  * Add support for Seagate FreeAgent DockStar.
  * Remove obsolete information about the kernel postinst hook from the
    README file.
  * Fix insecure usage of temporary files.  Discovered and patched by
    Loïc Minier, thanks!

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 19 Oct 2010 19:33:26 +0100

flash-kernel (2.32) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Persian (fa.po) by acathur
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov

 -- Otavio Salvador <otavio@debian.org>  Sun, 11 Jul 2010 17:47:41 -0300

flash-kernel (2.31) unstable; urgency=low

  * Add support for the HP t5325 Thin Client.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 19 Jun 2010 13:12:44 +0100

flash-kernel (2.30) unstable; urgency=low

  * Add support for OpenRD-Ultimate.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 19 Jun 2010 11:02:44 +0100

flash-kernel (2.29) unstable; urgency=low

  * Add support for the GuruPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 24 May 2010 13:56:57 +0100
