## flash-kernel 2.39

=== debian/changelog ===
flash-kernel (2.39) unstable; urgency=low

  * Add support for Buffalo Linkstation LiveV3 (LS-CHL).  Closes: #612167
  * Add support for Buffalo Linkstation Mini (LS-WSGL).

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 02 Mar 2011 17:56:22 +0000

flash-kernel (2.38) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 24 Dec 2010 21:19:58 -0200
