## flash-kernel 3.0~rc.1

=== debian/changelog ===
flash-kernel (3.0~rc.1) experimental; urgency=low

  [ Loïc Minier ]
  * Bump Standards-Version to 3.9.2.
  * Add a testsuite and run it during build; change code a bit to be more
    easily tested.
  * Start reworking flash-kernel to be more data-driven.
    - Keep some machine data in a small embedded RFC 2822 style database; such
      as allowed kernel flavors, machine id to set before booting Linux,
      MTD names, U-Boot load addresses, /boot filenames etc.
    - Simplify code in the main "case" statement as much as possible by using
      functions for common code and splitting error handling, initialization,
      and sanity checks out.
    - Various syntax tweaks.
  * Only allow iop32x kernels on GLAN Tank.
  * Fix Lintian warnings.
    - Quote minus signs in man page.
    - Depend on ${misc:Depends}.
  * Add myself to Uploaders at tbm's proposal.
  * Add myself to flash-kernel's Copyright and to debian/copyright; thanks
    Martin Michlmayr.

  [ Hector Oron ]
  * Add armhf to architecture list (Closes: #620888)
    - add mx5 as armhf subarchitecture
  * Add myself to Uploaders field.
  * Add preliminary mv78xx0 support. (Closes: #594878)
  * Add build dependency on devio, needed to run test-suite.
  * Upgrade major version to 3.0~rc.1
  * Add support for Genesi Efika MX nettops and smarttops. (Closes: #612376)
  * Add preliminary U-Boot script support (Closes: #626434)

  [ Julian Andres Klode ]
  * Support for Toshiba AC100 (Closes: #631396)

  [ Martin Michlmayr ]
  * Remove myself from the Uploaders field.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po)
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Arangel Angov
  * Romanian (ro.po) by Eddy Petrișor
  * Sinhala (si.po) by Danishka Navin
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uyghur (ug.po) by Sahran
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Aug 2011 12:47:34 +0100
