=== debian/rules ===
#! /usr/bin/make -f

override_dh_auto_test:
	./test_flash-kernel

%:
	dh $@
