## flash-kernel 3.0~rc.4

=== debian/changelog ===
flash-kernel (3.0~rc.4) unstable; urgency=low

  * Upload to unstable 

 -- Hector Oron <zumbi@debian.org>  Sun, 11 Mar 2012 14:51:15 +0000

flash-kernel (3.0~rc.3) experimental; urgency=low

  [ Hector Oron ]
  * Replace uboot-mkimage by u-boot-tools.

  [ Loïc Minier ]
  * Remove executable on database file.
  * Following changes thanks to Steve McIntyre:
    - Fix breakage when Boot-Device isn't set.
    - db: Fix kernel load address for DB-78x00-BP.
    - db: Add support for MX53 LOCO Board.
  * Also replace uboot-mkimage with u-boot-tools in db; closes: #607614.

 -- Loïc Minier <lool@debian.org>  Sat, 10 Mar 2012 01:17:09 +0100
