=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
          devio,
          initramfs-tools (>= 0.92f),
          linux-base (>= 3.2)
-Suggests: uboot-mkimage
+Suggests: u-boot-tools
 Description: utility to make certain embedded devices bootable
  flash-kernel is a script which will put the kernel and initramfs in
  the boot location of embedded devices that don't load the kernel and
