## flash-kernel 3.0~rc.4ubuntu27.1

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu27.1) quantal; urgency=low

  * Ask blkid for UUID, fixes finding filesystems with labels (LP: #1079185)
  * Determine the latest installed kernel version from the target instead
    of assuming the version is the same as the running kernel (LP: #1084106)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Dec 2012 09:31:39 -0700

flash-kernel (3.0~rc.4ubuntu27) quantal; urgency=low

  * add support for the grouper architecture

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 08 Oct 2012 14:44:41 +0200

flash-kernel (3.0~rc.4ubuntu26) quantal-proposed; urgency=low

  * make sure that /dev is bind mounted in /target when running
    update-initramfs from flash-kernel-installer, else we do not find the boot
    media (this is only a workaround for LP: #1056482 actual fixing of the
    netinst environment is needed to fix this properly)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2012 15:27:06 +0200

flash-kernel (3.0~rc.4ubuntu25) quantal; urgency=low

  * make sure we only rename the bootrom partition so udisks hides it,
    when using mkdosfs for setting the label like we did in jasper (where
    we cached the contents before doing this) MLO and u-boot.bin are gone
    (LP: #1055938).

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 25 Sep 2012 10:31:32 +0200

flash-kernel (3.0~rc.4ubuntu24) quantal; urgency=low

  * hide the boot device from udisk's automounting after installation
    on all systems using uEnv.txt to configure u-boot

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 17 Sep 2012 14:25:37 +0200

flash-kernel (3.0~rc.4ubuntu23) quantal; urgency=low

  * initramfs-tools/hooks/flash_kernel_set_root:
    - make sure that if we dont want to override the bootloader root= option by
      setting "Bootloader-sets-root: yes", we actually dont do it
    - Also check for FLASH_KERNEL_SKIP to avoid setting up the root parameter
      in case flash-kernel will not be used
    - this is a slightly different approach to fix bug (LP: #1034734) than the
      patch attached to the bug.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2012 14:02:48 +0200

flash-kernel (3.0~rc.4ubuntu22) quantal; urgency=low

  * do not move the original uEnvtxt.omap to the target, use a copy instead
  * make /etc/default/flash-kernel a proper conffile

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Aug 2012 11:49:01 +0200

flash-kernel (3.0~rc.4ubuntu21) quantal; urgency=low

  * switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all active
    boot commands, the latter holds the kernel commandline only)
  * enable generation of a /etc/default/flash-kernel file from
    flash-kernel-installer holding a UBOOT_DEFAULTS variable with distro
    default settings (ro quiet splash)
  * enable UUID detection of the currently used root device
  * if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
    UBOOT_DEFAULTS and UUID detection data
  * switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
    generate a root=UUID= line on the fly for arches using uEnv.txt/preEnv.txt
  * introduce bootscript/uEnvtxt.omap

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Aug 2012 21:56:09 +0200

flash-kernel (3.0~rc.4ubuntu20) quantal; urgency=low

  * seemingly -k all doesnt want to work with -c, use -k $(uname -r) for now

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 10 Aug 2012 18:29:34 +0200

flash-kernel (3.0~rc.4ubuntu19) quantal; urgency=low

  * flash-kernel-installer.postinst: now that we have a diversion in place
    there isnt a pre-existing initrd, instead of calling update-initramfs -u
    we better call update-initramfs -c -k all to create one from scratch,
    fixes (LP: #1035269)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 10 Aug 2012 17:49:00 +0200

flash-kernel (3.0~rc.4ubuntu18) quantal; urgency=low

  * make post-base-installer.d/01flash-kernel-diversion executable

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Aug 2012 13:59:15 +0200

flash-kernel (3.0~rc.4ubuntu17) quantal; urgency=low

  * sigh, not only drop the creation of /var/lib/flash-kernel/configured but
    also the check for its existance, else we will always exit 0

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Aug 2012 20:03:20 +0200

flash-kernel (3.0~rc.4ubuntu16) quantal; urgency=low

  * re-add a diversion for update-initramfs to live-installers
    post-base-installer.d to avoid update-initramfs runs before
    flash-kernel is configured
  * re-add a check for the diverted update-initramfs to
    flash-kernel-installer, so it gets reverted before we try to call
    update-initramfs
  * drop teh super ugly hack that added a /var/lib/flash-kernel/configured
    file to actually check if flash-kernel is configured

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Aug 2012 19:52:51 +0200

flash-kernel (3.0~rc.4ubuntu15) quantal; urgency=low

  * Fix armadaxp kernel load address (LP: #1026835).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 31 Jul 2012 16:31:30 +0100

flash-kernel (3.0~rc.4ubuntu14) quantal-proposed; urgency=low

  * better do the "configured" check in /var/lib

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jul 2012 18:03:18 +0200

flash-kernel (3.0~rc.4ubuntu13) quantal-proposed; urgency=low

  * add very very ugly temporary workaround to make quantal A3 arm server
    installs possible (yes, i suck)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jul 2012 17:16:16 +0200

flash-kernel (3.0~rc.4ubuntu12) quantal; urgency=low

  * remove the diversion code again, it doesnt help since
    flash-kernel-installer.udeb only comes into play to late so the
    post-base-installer.d file isnt available at live-installer time

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jul 2012 14:38:24 +0200

flash-kernel (3.0~rc.4ubuntu11) quantal; urgency=low

  * make post-base-installer.d/01flash-kernel-diversion actually an executable
    shell script

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Jul 2012 15:33:46 +0200

flash-kernel (3.0~rc.4ubuntu10) quantal; urgency=low


