=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flash-kernel
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Loïc Minier <lool@debian.org>,
            Hector Oron <zumbi@debian.org>,
            Wouter Verhelst <wouter@debian.org>
@@ -29,7 +30,7 @@
 Priority: standard
 XC-Package-Type: udeb
 Architecture: arm armel armeb armhf
-XB-Subarchitecture: iop32x ixp4xx kirkwood orion5x s3c24xx mx5
+XB-Subarchitecture: armadaxp highbank iop32x ixp4xx kirkwood orion5x s3c24xx mx5 omap omap4
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
