## flash-kernel 3.0~rc.4ubuntu29

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu29) raring; urgency=low

  * determine the latest installer kernel version in the target rootfs instead
    of assuming the version is the same as the running kernel (LP: #1084106)
  * drop the "|| true" from the initramfs building code, if we fail here we
    actually dont want to attempt to flash that

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 04 Dec 2012 17:24:49 +0100

flash-kernel (3.0~rc.4ubuntu28) raring; urgency=low

  * make sure blkid only gives us the UUID and not any other metadata like
    labels or filesystem (LP: #1079185)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 16 Nov 2012 15:40:21 +0100
