## flash-kernel 3.0~rc.4ubuntu33

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu33) raring; urgency=low

  * Also update XB-Subarchitecture to use "generic" instead of 'highbank"
    (LP: #1170515)

 -- dann frazier <dann.frazier@canonical.com>  Sun, 21 Apr 2013 09:36:29 -0600

flash-kernel (3.0~rc.4ubuntu32) raring; urgency=low

  * flash-plugin-installer: make installable on armhf/generic for highbank

 -- dann frazier <dann.frazier@canonical.com>  Thu, 18 Apr 2013 16:39:18 -0600

flash-kernel (3.0~rc.4ubuntu31) raring; urgency=low

  * Accept "generic" as a valid kernel flavor on highbank (LP: #1164074)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 03 Apr 2013 12:48:56 -0600

flash-kernel (3.0~rc.4ubuntu30) raring; urgency=low

  * Do not run flash-kernel inside an LXC container (LP: #1160360)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Wed, 27 Mar 2013 16:29:20 +0100
