=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Priority: standard
 XC-Package-Type: udeb
 Architecture: arm armel armeb armhf
-XB-Subarchitecture: armadaxp highbank iop32x ixp4xx kirkwood orion5x s3c24xx mx5 omap omap4
+XB-Subarchitecture: armadaxp generic iop32x ixp4xx kirkwood orion5x s3c24xx mx5 omap omap4
 Provides: bootable-system
 Depends: cdebconf-udeb, installed-base
 XB-Installer-Menu-Item: 7300
