## flash-kernel 3.0~rc.4ubuntu54.2

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu54.2) vivid; urgency=medium

  * Cherry pick from Debian: Succeed but do nothing when run on an
    unknown machine which was booted via EFI. (LP: #1517582)

 -- dann frazier <dannf@ubuntu.com>  Wed, 09 Dec 2015 16:10:21 -0700

flash-kernel (3.0~rc.4ubuntu54.1) vivid; urgency=medium

  * Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
    instead of the hardcoded mmcblk1p1, this should make things work on
    boards with just a single microSD card in. (LP: #1306841)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Aug 2015 12:06:16 -0400

flash-kernel (3.0~rc.4ubuntu54) vivid; urgency=medium

  * Allow us to find DTBs in both the old flat layout and the new vendor
    subdirectory layout, so we keep backward compatibility (LP: #1408004)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Feb 2015 03:46:28 -0700

flash-kernel (3.0~rc.4ubuntu53) utopic; urgency=medium

  * Merge in remaining trusty SRU changes:
    * Add U-Boot environment configuration support (LP: #1328597)
    * HP Moonshot Cartridges: Use $baudrate from u-boot environment as
      serial console speed (LP: #1373628)
    * HP Moonshot Cartridges: Enable hardware flow control as required by
      the HP moonshot chassis (LP: #1328280)
    * Enable U-Boot environment support for X-Gene platforms
    * Use filesystem agnostic "load" command instead of assuming ext4
    * Add support for HP ProLiant m800 cartridges (LP: #1326437)
    * Set required boot arguments for HP ProLiant m800 cartridges
      (LP: #1373659)

 -- dann frazier <dannf@ubuntu.com>  Mon, 29 Sep 2014 16:20:15 -0600

flash-kernel (3.0~rc.4ubuntu52) utopic; urgency=medium

  * Do not fail if there are no specified Kernel-Flavors for this machine.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 27 Aug 2014 15:59:26 -0400

flash-kernel (3.0~rc.4ubuntu51) utopic; urgency=medium

  * Filter the selection of 'latest' usable kernel through the
    whitelist.  (LP: #1356569)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Tue, 19 Aug 2014 14:27:33 -0500

flash-kernel (3.0~rc.4ubuntu50) utopic; urgency=medium

  * Added support for user defined uboot environment variables
  * Added support for HP ProLiant m800 Server Cartridge

 -- Manoj Iyer <manoj.iyer@canonical.com>  Thu, 24 Apr 2014 17:34:28 -0500

flash-kernel (3.0~rc.4ubuntu49) trusty; urgency=medium

  * db/all.db: add dummy entries as noops when running on VMs (LP: #1298070)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Apr 2014 04:15:37 -0600

flash-kernel (3.0~rc.4ubuntu48) trusty; urgency=medium

  * Update APM X-Gene config to match upstream device tree filename/model
  * Add a bootscript specific to X-Gene Mustang boards since they need to
    pull their dtb from the OS.

 -- dann frazier <dann.frazier@canonical.com>  Tue, 18 Mar 2014 16:31:38 -0600

flash-kernel (3.0~rc.4ubuntu47) trusty; urgency=medium

  * Add support for HP ProLiant m400 Server Cartridges (LP: #1287910)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 12 Mar 2014 15:10:43 +0100

flash-kernel (3.0~rc.4ubuntu46) trusty; urgency=low

  * Add support for APM X-Gene
  * Add support for installing dtb files in boot partition; activate this for
    APM X-Gene boards

 -- dann frazier <dann.frazier@canonical.com>  Mon, 23 Dec 2013 14:51:32 -0700

flash-kernel (3.0~rc.4ubuntu45) trusty; urgency=low

  * bootscr.highbank: allow more space to load larger kernels (LP: #1250495)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Dec 2013 03:48:23 -0700

flash-kernel (3.0~rc.4ubuntu44) trusty; urgency=low

  * flash-kernel-installer: make installable on armhf/exynos5 (LP: #1247601)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 13 Nov 2013 08:08:08 +0100

flash-kernel (3.0~rc.4ubuntu43) trusty; urgency=low

  * Add basic support for WandBoard Quad.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Nov 2013 23:57:58 -0500

flash-kernel (3.0~rc.4ubuntu42) saucy; urgency=low

  * Add support for EXYNOS5440-based platforms (LP: #1231249)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 03 Oct 2013 13:56:55 +0100

flash-kernel (3.0~rc.4ubuntu41) saucy; urgency=low

  * Fix typo in dtb_kver test that made it break all non-dtb platforms.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 21 Sep 2013 13:07:23 -0600

flash-kernel (3.0~rc.4ubuntu40) saucy; urgency=low

  * Apply patch from Paolo Pisati for appended DTB support (LP: #1223261)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 19 Sep 2013 10:27:47 -0600

flash-kernel (3.0~rc.4ubuntu39) saucy; urgency=low

  * Fix get_kfile_suffix() function to deal with flavours with dashes.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 19:30:34 -0400

flash-kernel (3.0~rc.4ubuntu38) saucy; urgency=low

  * debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 17:43:52 -0400

flash-kernel (3.0~rc.4ubuntu37) saucy; urgency=low

  * And now fix the quoting error exposed by the fixed testsuite.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 15:22:49 -0400

flash-kernel (3.0~rc.4ubuntu36) saucy; urgency=low

  * Fix the testsuite to work with the new DT model support and add
    a new test to specifically try to use a DT instead of cpuinfo.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 14:59:04 -0400

flash-kernel (3.0~rc.4ubuntu35) saucy; urgency=low

  * Check /proc/device-tree/model before /proc/cpuinfo (LP: #1164484)
  * Add support for Calxeda ECX-2000 to the machine DB (LP: #1223439)
  * Add generic-lpae to the XB-Subarchitecture list in debian/control
  * Update the Highbank entry in DB to use its device-tree model name

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 14:36:05 -0400

flash-kernel (3.0~rc.4ubuntu34) saucy; urgency=low

  * Extending Android specific options to cover the Ubuntu Touch use cases
    (flashing to a specific device and support skipping initrd)
  * Enabling support for mako (Nexus 4)


