## flash-kernel 3.0~rc.4ubuntu55.1

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu55.1) wily; urgency=medium

  * Cherry pick from Debian: Succeed but do nothing when run on an
    unknown machine which was booted via EFI. (LP: #1517582)

 -- dann frazier <dannf@ubuntu.com>  Wed, 09 Dec 2015 16:06:23 -0700

flash-kernel (3.0~rc.4ubuntu55) wily; urgency=medium

  * Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
    instead of the hardcoded mmcblk1p1, this should make things work on
    boards with just a single microSD card in.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Aug 2015 11:55:41 -0400
