## flash-kernel 3.0%7erc.4ubuntu62.1.1

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu62.1.1) xenial; urgency=medium

  * Adjust rpi2 dtb address from 0x100 to 0x02000000 (LP: #1636838)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Oct 2016 13:39:00 +0200
