## flash-kernel 3.0%7erc.4ubuntu64.1.1

=== debian/changelog ===
flash-kernel (3.0~rc.4ubuntu64.1.1) yakkety; urgency=medium

  * Adjust rpi2/3 dtb address from 0x100 to 0x02000000 (LP: #1636838)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 09 Nov 2016 15:41:50 +0200
