## flash-kernel 3.3+deb7u2

=== debian/changelog ===
flash-kernel (3.3+deb7u2) wheezy; urgency=low

  * Fix test_db testsuite to be LC_COLLATE-independent, by calling sort -u
    on both the $expected and $fields variables. Closes: #711759

 -- Cyril Brulebois <kibi@debian.org>  Wed, 12 Jun 2013 01:41:30 +0200

flash-kernel (3.3+deb7u1) wheezy; urgency=low

  [ Cyril Brulebois ]
  * Backport the following from unstable to wheezy.

  [ Martin Michlmayr ]
  * The machine database is case-sensitive so ensure that all instances
    of "Required-Packages" are capitalized correctly.  Closes: #693839

  [ Loïc Minier ]
  * Add test_db testsuite for the database; currently only checking for
    unknown fields.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 06 Jun 2013 23:17:11 +0200

flash-kernel (3.3) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type
  * Add myself to Uploaders

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 08:18:09 +0200

flash-kernel (3.2) unstable; urgency=low

  [ Ian Campbell ]
  * Use get_machine in flash-kernel-installer udeb. Fixes flash-kernel at
    install time on Dreamplug failure to install u-boot-tools.

 -- Hector Oron <zumbi@debian.org>  Fri, 27 Jul 2012 17:04:05 +0200

flash-kernel (3.1) unstable; urgency=low

  * Release into unstable.

 -- Hector Oron <zumbi@debian.org>  Sun, 08 Jul 2012 03:03:57 +0200

flash-kernel (3.1~exp.1) experimental; urgency=low

  [ Ian Campbell ]
  * Add support for FDT based devices using /proc/device-tree/model for
    detection.
  * Add support for installing a DTB file into the boot partition.
  * Add support for appending a DTB to the kernel.
  * Add support for DreamPlug. (Closes: #667681)

  [ Hector Oron ]
  * Update Standards-Version to 3.9.3 
  * Set Boot-Device for Dreamplug to /dev/sda1. 

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Croatian (hr.po) by Tomislav Krznar

 -- Hector Oron <zumbi@debian.org>  Sun, 08 Jul 2012 02:00:54 +0200

flash-kernel (3.0) unstable; urgency=low

  [ Aurelien Jarno ]
  * Drop old arm and armeb architectures from the control file.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Basque (eu.po) by Piarres Beobide
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jun 2012 17:38:47 +0200

flash-kernel (3.0~rc.5) unstable; urgency=low

  * Add support for FK_MACHINE and FK_PROC_CPUINFO.
    - Makes it possible to pass machine name for use under chrooted setups.
      Setting FK_MACHINE to none avoids flash-kernel run.
      Thanks Johannes Schauer for patch.
  * Add support for LaCie Kirkwood NASes.
    Thanks Simon Guinot for patch. (Closes: #670938)

 -- Hector Oron <zumbi@debian.org>  Sun, 11 Mar 2012 16:02:39 +0100
