=== debian/rules ===
#! /usr/bin/make -f

override_dh_auto_test:
	FK_CHECKOUT=. ./test_db
	FK_CHECKOUT=. ./test_flash-kernel
	FK_CHECKOUT=. ./test_functions

%:
	dh $@
