## flash-kernel 3.25~bpo70+1

=== debian/changelog ===
flash-kernel (3.25~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Steve McIntyre <93sam@debian.org>  Wed, 22 Oct 2014 14:14:44 +0100

flash-kernel (3.25) unstable; urgency=medium

  * Log some clues on how to fix overly large initramfs (Closes: #760215).
  * Improved mtd partition size checks.
  * Switch Uploaders to use my @debian.org address.

 -- Ian Campbell <ijc@debian.org>  Sat, 06 Sep 2014 09:38:44 +0100

flash-kernel (3.24) unstable; urgency=medium

  [ Karsten Merker ]
  * Modify bootscript/bootscr.sunxi to work with the new default environment
    and bootcmd handling introduced by mainline u-boot v2014.10 as well as
    with the old environment still used by u-boot-sunxi.
  * Avoid "file not found" messages while iterating over the possible
    locations for kernel images in bootscr.sunxi.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2014 08:14:39 +0200

flash-kernel (3.23) unstable; urgency=medium

  * Avoid stalling install when debconf frontend is noninteractive. Patch from
    David Lechner. (Closes: #753059)
  * Append command line options from
    /etc/default/flash-kernel:LINUX_KERNEL_CMDLINE to ${bootargs} rather than
    replacing it entirely. (Closes: #751816)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 12 Jul 2014 16:39:40 +0100

flash-kernel (3.22) unstable; urgency=medium

  [ Ian Campbell ]
  * Add support for BeagleBone (black). Patch from Vagrant Cascadian.
    (Closes: #751353)
  * Add support for Wandboard i.MX6 Quad Board. Patch from Vagrant Cascadian.
    (Closes: #751340)
  * Add support for D-Link DNS-320 NAS (Rev A1). Stanza from Bastien ROUCARIES.
    (Closes: #724891)
  * Document Mtd-Kernel and Mtd-Initrd in README.

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Jun 2014 06:54:26 +0200

flash-kernel (3.21) unstable; urgency=medium

  [ Ian Campbell ]
  * Bootloader-Sets-Incorrect-Root machine db entry is now optional and
    defaults to no.
  * Purge debconf database on purge. Patch from Vagrant Cascadian.
    (Closes: #751066)
  * Add support for SolidRun Cubox-i Dual/Quad. Patch from Vagrant Cascadian.
    (Closes: #750953)
  * Document FK_MACHINE in the manpage. (Closes: #751012)
  * Document /etc/flash-kernel/machine and the database files in the manpage.
  * Add kernel command line configuration support to sunxi bootscript. 

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems
    - Cubietech Cubieboard
    - Cubietech Cubieboard2
    - INet-97F Rev 02
    - LinkSprite pcDuino
    - Mele A1000
    - Miniand Hackberry
    - Olimex A10-OLinuXino-LIME
    - Olimex A10s-Olinuxino Micro
    - Olimex A13-Olinuxino
    - Olimex A13-Olinuxino Micro
    - Olimex A20-Olinuxino Micro
    - PineRiver Mini X-Plus
    - WITS A31 Colombus Evaluation Board

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Jun 2014 07:31:02 +0200

flash-kernel (3.20) unstable; urgency=medium

  [ dann frazier ]
  * Add kernel commandline configuration support
  * Add support for prepending arbitrary u-boot commands to a bootscript
  * Add arm64 support
  * Add support for APM X-Gene Mustang boards
  * Add support for Calxeda Highbank

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Jun 2014 06:49:31 +0200

flash-kernel (3.19) unstable; urgency=low

  * Support kernel flavours with a hyphen in (e.g. armmp-lpae).
  * Allow armmp-lpae kernel and add u-boot-tools on cubietruck.
  * Run installer udeb on arm*/generic subarch iff the machine is listed in the
    db.
  * Copy dtb to /boot when directly invoked as well.

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 16 May 2014 19:31:43 +0100

flash-kernel (3.18) unstable; urgency=medium

  [ Ian Campbell ]
  * Add --force option to install a specific kernel version. 
  * Add support for the Cubietruck.
  * Copy the dtb (if any) to /boot/dtb-$kversion in kernel postinst hook.
  * Allow use of the kernel version in boot scripts.

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 May 2014 06:52:17 +0200

flash-kernel (3.17) unstable; urgency=medium

  * Accept kernels with an additional "+" suffix (Closes: #743796)
  * Add myself to Uploaders

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 11 Apr 2014 17:26:53 +0100

flash-kernel (3.16) unstable; urgency=low

  [ Steve McIntyre ]
  * Add support for the Marvell Armada XP GP Board, booting via DTB.
    (Closes: #743222)

  [ Christian Perrier ]
  * Updated Standards to 3.9.5 (checked)

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Apr 2014 09:27:40 +0200

flash-kernel (3.15) unstable; urgency=low

  [ Ian Campbell ]
  * Handle machine name difference for DT based DockStar (Closes: #741692)
  * Do not mark uInitrd as compressed. The kernel can decompress the initramfs
    itself as needed. (Closes: #618029)
  * Add support for Globalscale Mirabox. From Jasmin Schnatterbeck.
    (Closes: #739976).
  * Handle removal of highest kernel version (Closes: #735093). Patch from
    Karsten Merker.
  * Add armmp to the Kernel-Flavors for all mx5 platforms.

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Mar 2014 09:42:02 +0100

flash-kernel (3.14) unstable; urgency=low

  [ Ian Campbell ]
  * Append DTB on "Seagate FreeAgent DockStar" from v3.12 onwards.
  * Add support for Buffalo Linkstation LS-XHL (Closes: #740786).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 15:11:45 +0100

flash-kernel (3.13) unstable; urgency=low

  [ Ian Campbell ]
  * Correctly handle probing for android boot partition (Closes: #683329).
  * Rename Bootloader-Sets-Root to Bootloader-Sets-Incorrect-Root which better
    reflects its usage.
  * Forcibly override root only if Bootloader-Sets-Incorrect-Root is yes,
    rather than when it is not no. Avoids overridding root on unknown platforms
    (Closes: #718761).
  * Transition additinal kirkwood systems to DT from v3.12 onwards. Board
    support for these was removed in that release:
    - Globalscale Technologies eSATA SheevaPlug
    - LaCie Internet Space v2

